From 606dbadd220170285cc91560d81a8ff671a72bde Mon Sep 17 00:00:00 2001
From: Zhao Junwang <zhjwpku@gmail.com>
Date: Mon, 28 Aug 2023 17:54:05 +0800
Subject: [PATCH v1] PQputCopyEnd never returns 0, fix the inaccurate comment

PQputCopyEnd returns 1 or -1, never 0, I guess the comment was
copy/paste from PQputCopyData's comment, this should be fixed.

Signed-off-by: Zhao Junwang <zhjwpku@gmail.com>
---
 src/interfaces/libpq/fe-exec.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/src/interfaces/libpq/fe-exec.c b/src/interfaces/libpq/fe-exec.c
index 974d462d4b..084d91b126 100644
--- a/src/interfaces/libpq/fe-exec.c
+++ b/src/interfaces/libpq/fe-exec.c
@@ -2709,8 +2709,7 @@ PQputCopyData(PGconn *conn, const char *buffer, int nbytes)
  *
  * After calling this, use PQgetResult() to check command completion status.
  *
- * Returns 1 if successful, 0 if data could not be sent (only possible
- * in nonblock mode), or -1 if an error occurs.
+ * Returns 1 if successful, -1 if an error occurs.
  */
 int
 PQputCopyEnd(PGconn *conn, const char *errormsg)
-- 
2.41.0

